curl --request POST \
--url https://app.tagadapay.com/api/public/v1/processors/update \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"processorId": "processor_abc123",
"updatedData": {
"name": "Stripe EU",
"type": "stripe",
"supportedCurrencies": [
"EUR",
"GBP",
"CHF"
],
"baseCurrency": "EUR"
}
}
'{
"processor": {
"id": "<string>",
"name": "<string>",
"type": "<string>",
"enabled": true,
"options": {},
"supportedCurrencies": [
"<string>"
],
"baseCurrency": "<string>"
}
}Update an existing processor configuration (name, credentials, currencies, enabled status). Requires org:admin role.
curl --request POST \
--url https://app.tagadapay.com/api/public/v1/processors/update \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"processorId": "processor_abc123",
"updatedData": {
"name": "Stripe EU",
"type": "stripe",
"supportedCurrencies": [
"EUR",
"GBP",
"CHF"
],
"baseCurrency": "EUR"
}
}
'{
"processor": {
"id": "<string>",
"name": "<string>",
"type": "<string>",
"enabled": true,
"options": {},
"supportedCurrencies": [
"<string>"
],
"baseCurrency": "<string>"
}
}